## bliss 0.73

=== Makefile ===
CFLAGS = -I.
CFLAGS += -g
#CFLAGS += -pg
CFLAGS += -Wall
CFLAGS += --pedantic
CFLAGS += -O9
#CFLAGS += -DBLISS_DEBUG
CFLAGS += -fPIC

SRCS = defs.cc graph.cc partition.cc orbit.cc uintseqhash.cc heap.cc
SRCS += timer.cc utils.cc bliss_C.cc

OBJS = $(addsuffix .o, $(basename $(SRCS)))

GMPOBJS = $(addsuffix g,  $(OBJS))

LIB =
#LIB += /usr/lib/ccmalloc.o -ldl

CC = g++
RANLIB = ranlib
AR = ar
BLISSLIB = libbliss.a

gmp:	LIB += -lgmp
gmp:	CFLAGS += -DBLISS_USE_GMP

normal:	bliss
gmp:	bliss_gmp


all:: lib bliss

%.o %.og:	%.cc
	$(CC) $(CFLAGS) -c -o $@ $<

lib: $(OBJS)
	rm -f $(BLISSLIB)
	$(AR) cr $(BLISSLIB) $(OBJS)
	$(RANLIB) $(BLISSLIB)

lib_gmp: $(GMPOBJS)
	rm -f $(BLISSLIB)
	$(AR) cr $(BLISSLIB) $(GMPOBJS)
	$(RANLIB) $(BLISSLIB)

bliss: bliss.o lib $(OBJS)
	$(CC) $(CFLAGS) -o bliss bliss.o $(OBJS) $(LIB)

bliss_gmp: bliss.og lib_gmp $(GMPOBJS)
	$(CC) $(CFLAGS) -o bliss bliss.og $(GMPOBJS) $(LIB)


clean:
	rm -f bliss $(BLISSLIB) $(OBJS) bliss.o $(GMPOBJS) bliss.og

# DO NOT DELETE

## bliss 0.72

=== debian/changelog ===
bliss (0.72-5) unstable; urgency=low

  * Convert packaging to 3.0 (quilt).
  * Bug fix: "FTBFS with clang instead of gcc", thanks to Sylvestre Ledru
    (Closes: #710399). Replace -O9 with -O4.
  * Add Vcs-Git and Vcs-Browser headers.
  * Bump Standards-Version to 3.9.4 (no changes).
  * Bump debhelper compat level to 9
  * Enable hardening flags

 -- David Bremner <bremner@debian.org>  Fri, 07 Jun 2013 08:22:00 -0300

bliss (0.72-4) unstable; urgency=low

  * Force BLISS_USE_GMP to be defined so that user compiled code matches
    the library.

 -- David Bremner <bremner@debian.org>  Mon, 05 Nov 2012 20:14:20 -0400

bliss (0.72-3) unstable; urgency=low

  * Link libbliss.so.1d.0 against gmp (Closes: #685390).

 -- David Bremner <bremner@debian.org>  Mon, 20 Aug 2012 17:28:30 +0200

bliss (0.72-2) unstable; urgency=low

  * Add debugging libraries.
  * Actually build with GMP, as promised in README.Debian.

 -- David Bremner <bremner@debian.org>  Sun, 20 Nov 2011 11:41:31 -0400

bliss (0.72-1) unstable; urgency=low

  * Fix changelog bug number typo
  * New upstream version
  * Bump standards version to 3.9.2 (no changes)
  * Update package description, thanks to Martin Eberhard
    Schauer and Justin B Rye (Closes: #634057).

 -- David Bremner <bremner@debian.org>  Sun, 28 Aug 2011 00:58:23 -0300

bliss (0.71-2) unstable; urgency=low

  * Remove symbols file (Closes: #626028)

 -- David Bremner <bremner@debian.org>  Sun, 08 May 2011 06:38:42 -0300

bliss (0.71-1) unstable; urgency=low

  * New upstream release
  * Replace ligatures in description (Closes: #613480)
  * Change section of libbliss0d to libs (Closes: #614606)

 -- David Bremner <bremner@debian.org>  Thu, 05 May 2011 19:11:51 -0300

bliss (0.50-1.1) unstable; urgency=low

  * NMU.  Build with unversioned libgmp-dev.

 -- Steve M. Robbins <smr@debian.org>  Tue, 15 Mar 2011 01:46:08 -0500

bliss (0.50-1) unstable; urgency=low

  * Initial release (Closes: #528925) 

 -- David Bremner <bremner@debian.org>  Thu, 16 Dec 2010 23:34:03 -0400

=== debian/control ===
Source: bliss
Section: math
Priority: optional
Maintainer: David Bremner <bremner@debian.org>
Build-Depends: debhelper (>= 9), libgmp-dev, xsltproc, docbook-xsl, 
	       docbook-xml, doxygen
Standards-Version: 3.9.4
Homepage: http://www.tcs.hut.fi/Software/bliss/index.shtml
Vcs-Git: git://anonscm.debian.org/git/debian-science/packages/bliss
Vcs-Browser:  http://anonscm.debian.org/gitweb/?p=debian-science/packages/bliss.git

Package: bliss
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libbliss-dev
Description: tool to compute graph automorphisms and labelings
 Bliss is a backtracking algorithm for computing automorphism groups
 and canonical forms of graphs, based on individualization and
 refinement. Its data structures, subroutines, and pruning heuristics
 are specially designed for fast handling of large and sparse graphs.
 .
 This package provides the command line tool bliss.

Package: libbliss1d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libbliss-dev
Section: libs
Description: library to compute graph automorphisms and labelings
 Bliss is a backtracking algorithm for computing automorphism groups
 and canonical forms of graphs, based on individualization and
 refinement. Its data structures, subroutines, and pruning heuristics
 are specially designed for fast handling of large and sparse graphs.
 .
 This package provides the shared library.

Package: libbliss-dev
Architecture: any
Depends: ${misc:Depends}, libbliss1d (=${binary:Version})
Suggests: bliss
Section: libdevel
Description: development files to compute graph automorphisms and labelings
 Bliss is a backtracking algorithm for computing automorphism groups
 and canonical forms of graphs, based on individualization and
 refinement. Its data structures, subroutines, and pruning heuristics
 are specially designed for fast handling of large and sparse graphs.
 .
 This package provides the C/C++ development API.

Package: libbliss1d-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libbliss1d (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for libbliss1d
 Bliss is a backtracking algorithm for computing automorphism groups
 and canonical forms of graphs, based on individualization and
 refinement. Its data structures, subroutines, and pruning heuristics
 are specially designed for fast handling of large and sparse graphs.
 .
 This package contains the debugging symbols for libliss1d

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DB2MAN=/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
XP=xsltproc -''-nonet

%: 
	dh $@

override_dh_auto_build: 
	$(MAKE) gmp_shared lib
	# work around bug 622147
	doxygen
	$(XP) -o bliss.1 $(DB2MAN) $(CURDIR)/debian/blissman.xml

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip -plibbliss1d --dbg-package=libbliss1d-dbg
	dh_strip -pbliss

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://www.tcs.hut.fi/Software/bliss bliss-(.*)\.zip

## bliss 0.73

=== debian/changelog ===
bliss (0.73-5) unstable; urgency=medium

  * Debianization:
    - debian/copyright:
      - copyright year tuples, update;
    - debian/control:
      - Maintainer address, update;
      - Rules-Requires-Root, introduce and set to no;
      - Standards Version, bump to 4.5.1 (no change);
      - Build-Depends, migrate to debhelper-compat (=13) (major changes);
      - libbliss-dev depends on libgmp-dev version 2:6.2.0 or higher
          (pkg-config support);
    - debian/rules:
      - override_dh_installdocs target, discard (dh migration);
      - override_dh_missing target, idem;
    - debian/*.lintian-overrides:
      - d/{bliss-doc,libbliss-dev-common}.l-o, discard (update routine);
      - d/libbliss2.l-o, refreah (idem);
    - debian/{bliss,libbliss-dev}.maintscript, update (dh migration);
    - debian/compat, discard (debhelper migration).
    - debia/tests/*:
      - d/t/build-examples:
        - replace ADTTMP with AUTOPKGTEST_TMP;
        - make invocation, add -k option;
        - paths, refresh (debhelper migration);
      - build-examples Tests Depends field, add pkg-config;
    - debian/patches/*:
      - d/p/upstream-autotoolization.patch, add pkg-config support;
    - debian/libbliss-dev.install, install now pkg-config metadat file;
    - debian/adhoc/examples/*:
      - d/a/e/myciel3-col.output, introduce;
      - d/a/e/Makefile, harden;
    - debian/upstream/metadata, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 25 Dec 2020 15:02:34 +0000

bliss (0.73-4) unstable; urgency=medium

  * Upload to unstable.
  * Debianization:
    - debian/control:
      - Standards Version, bump to 4.4.0 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 19 Jul 2019 12:48:44 +0000

bliss (0.73-3) experimental; urgency=medium

  * Debianization:
    - debian/copyright:
      - copyright tuples, update;
      - Files field:
        - d/a/e/myciel3.col, introduce;
    - debian/control:
      - Standards Version, bump to 4.3.0 (no change);
    - debian/adhoc/examples/*:
      - d/a/e/Makefile:
        - copyright tuple, update;
        - check target, harden (Closes: #923527), thanks to
          Bernhard Übelacker <bernhardu@mailbox.org>;
      - d/a/e/myciel3.col, introduce;
    - debian/tests/control, harden;
    - debian/source/lintian-overrides:
      - debian-watch-uses-insecure-uri tag, add comment.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 30 Mar 2019 09:18:38 +0000

bliss (0.73-2) unstable; urgency=medium

  [ Jerome Benoit ]
  * d/control: Standards-Version bump to 4.2.1 (no change).
  * d/control: Vcs-* fields, migration to salsa.
  * d/copyright: Copyright fields, update.
  * d/rules: include pkg-info.mk (simplification).
  * d/adhoc/Makefile: refresh.
  * d/s/lintian-overrides, refresh.
  * d/p/upstream-autotoolization.patch, fix typo.

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 14 Nov 2018 10:14:04 +0000

bliss (0.73-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer (Closes: #818966).
  * Debianization:
    - debian/copyright:
      - bump format to DEP-5;
      - refresh;
    - debian/control:
      - discard the debug symbols package libbliss1d-dbg;
      - Standards Version, bump to 3.9.8;
      - Vcs-* headers, secure;
    - debian/watch, refresh;
    - debian/rules:
      - default target, introduce;
      - get-orig-source target, introduce;
      - discard the debug symbols material (see above);
      - build-arch/build-indep scheme, introduce;
      - clean up;
    - debian/tests; initiate;
    - reproducible build, attempt.
  * Upstream fixes and enhancements has been submitted and defining
    a clear ABI has been suggested to the upstream maintainer.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 25 Apr 2016 02:23:27 +0000

=== debian/control ===
Source: bliss
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 libtool, help2man,
 libgmp-dev
Build-Depends-Indep:
 doxygen, doxygen-latex, graphviz,
 rdfind, symlinks
Standards-Version: 4.5.1
Homepage: http://www.tcs.hut.fi/Software/bliss/
Vcs-Git: https://salsa.debian.org/science-team/bliss.git
Vcs-Browser: https://salsa.debian.org/science-team/bliss

Package: libbliss2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: bliss (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libbliss
Provides: libbliss
Description: library to compute graph automorphisms and labelings
 Bliss is a backtracking algorithm for computing automorphism groups
 and canonical forms of graphs, based on individualization and
 refinement. Its data structures, subroutines, and pruning heuristics
 are specially designed for fast handling of large and sparse graphs.
 .
 This package provides the shared library.

Package: libbliss-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libbliss2 (=${binary:Version}), libbliss-dev-common (= ${source:Version}),
 libgmp-dev (>= 2:6.2.0), ${misc:Depends}
Description: development files to compute graph automorphisms and labelings -- libdev
 Bliss is a backtracking algorithm for computing automorphism groups
 and canonical forms of graphs, based on individualization and
 refinement. Its data structures, subroutines, and pruning heuristics
 are specially designed for fast handling of large and sparse graphs.
 .
 This package provides the static library and symbolic links needed
 for development.


Package: libbliss-dev-common
Architecture: all
Multi-Arch: foreign
Replaces: libbliss-dev (<= 0.72-5)
Breaks: libbliss-dev (<= 0.72-5)
Section: libdevel
Depends: ${misc:Depends}
Description: development files to compute graph automorphisms and labelings -- headers
 Bliss is a backtracking algorithm for computing automorphism groups
 and canonical forms of graphs, based on individualization and
 refinement. Its data structures, subroutines, and pruning heuristics
 are specially designed for fast handling of large and sparse graphs.
 .
 This package provides the C/C++ headers needed for development.

Package: bliss
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: tool to compute graph automorphisms and labelings -- bin
 Bliss is a backtracking algorithm for computing automorphism groups
 and canonical forms of graphs, based on individualization and
 refinement. Its data structures, subroutines, and pruning heuristics
 are specially designed for fast handling of large and sparse graphs.
 .
 This package provides the command line tool bliss.

Package: bliss-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Suggests: bliss (= ${binary:Version}), pdf-viewer, www-browser
Description: suite to compute graph automorphisms and labelings -- doc
 Bliss is a backtracking algorithm for computing automorphism groups
 and canonical forms of graphs, based on individualization and
 refinement. Its data structures, subroutines, and pruning heuristics
 are specially designed for fast handling of large and sparse graphs.
 .
 This package provides the API documentation.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DEB_VERSION
export DEB_VERSION_UPSTREAM

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --builddirectory=_build

override_dh_auto_build-indep:
	$(MAKE) -f debian/adhoc/Makefile doc

override_dh_auto_test-indep:
	true

override_dh_prep-arch:
	$(MAKE) -f debian/adhoc/Makefile manpages

override_dh_auto_install-indep:
	$(MAKE) -C _build install-data-am DESTDIR=$(CURDIR)/debian/tmp

override_dh_compress-indep:
	dh_compress -X.pdf -Xexamples

override_dh_missing:
	dh_missing -X.la

=== debian/tests/control ===
Test-command: bliss /usr/share/doc/bliss/examples/myciel3.col
Depends: bliss, bliss-doc

Tests: build-examples
Depends: bliss-doc, libbliss-dev, build-essential, pkg-config

=== debian/watch ===
version=4
opts=repack \
http://www.tcs.hut.fi/Software/bliss bliss-(.*)\.zip

## bliss 0.77

=== debian/changelog ===
bliss (0.77-4) unstable; urgency=medium

  * FTBFS fix release, implement a workaround for a known broken
    Doxygen LaTeX tables issue reported (and solved) at
    <https://github.com/doxygen/doxygen/issues/11634> (Closes: #1114070).
  * Debianization:
    - d/adhoc/*:
      - d/a/Makefile, incorporate the workaround;
      - d/a/doc/override_tables.sty, imported from the issue discussion;
    - d/control:
      - Maintainer field, use now canonical team email address
        (thanks to Alexandre Detiste <tchet@debian.org>);
      - Standards-Version, bump to 4.7.2 (no change);
    - debian/copyright:
      - copyright tuples, update;
      - workarounf, add entry for the imported material (see above).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 13 Sep 2025 21:57:20 +0000

bliss (0.77-3) unstable; urgency=medium

  * Debianization:
    - d/rules:
      - override_dh_auto_install-indep target, cleanup.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 09 Jul 2023 22:05:07 +0000

bliss (0.77-2) unstable; urgency=medium

  * Debianization:
    - d/rules:
      - override_dh_auto_install-indep target, harden.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 09 Jul 2023 20:18:29 +0000

bliss (0.77-1) unstable; urgency=medium

  * New minor upstream version(Closes: #1032936).
  * Debianization:
    - d/watch:
      - URL, add trailing slash;
    - d/patches/*
      - d/upstrean-fix-apparent_forgotten_assert-commented.patch, introduce;
      - d/p/upstream-examples-enumerate-warnings-silence.patch, introduce;
      - d/p/upstream-source-*.patch, refresh;
      - d/p/upstream-autotoolization.patch, reorganize;
      - d/p/debianization.patch, update;
    - d/adhoc/examples/*:
      - d/a/e/Makefile, refresh;
      - d/a/e/enumerate.output, introduce;
    - d/README.Debian, update;
    - d/libbliss2.lintian-overrides:
      - exit-in-shared-library override, obsoleted.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 09 Jul 2023 17:16:37 +0000

bliss (0.73-6) unstable; urgency=medium

  [ Jerome Benoit ]
  * Update copyright year-tuples in d/copyright.
  * Bump Standards Version to 4.6.2 (no change).
  * Update upstream website address.
  * Various janitorial changes.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + libbliss-dev-common: Drop versioned constraint on libbliss-dev in
      Replaces.
    + libbliss-dev-common: Drop versioned constraint on libbliss-dev in Breaks.
    + Remove 2 maintscript entries from 2 files.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 01 Jul 2023 20:37:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: bliss
 Section: math
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Rules-Requires-Root: no
 Build-Depends:
@@ -11,8 +11,8 @@
 Build-Depends-Indep:
  doxygen, doxygen-latex, graphviz,
  rdfind, symlinks
-Standards-Version: 4.5.1
-Homepage: http://www.tcs.hut.fi/Software/bliss/
+Standards-Version: 4.7.2
+Homepage: https://users.aalto.fi/~tjunttil/bliss/
 Vcs-Git: https://salsa.debian.org/science-team/bliss.git
 Vcs-Browser: https://salsa.debian.org/science-team/bliss
 
@@ -53,8 +53,6 @@
 Package: libbliss-dev-common
 Architecture: all
 Multi-Arch: foreign
-Replaces: libbliss-dev (<= 0.72-5)
-Breaks: libbliss-dev (<= 0.72-5)
 Section: libdevel
 Depends: ${misc:Depends}
 Description: development files to compute graph automorphisms and labelings -- headers

=== debian/tests/control ===
Test-Command: bliss /usr/share/doc/bliss/examples/myciel3.col
Depends: bliss, bliss-doc

Tests: build-examples
Depends: bliss-doc, libbliss-dev, build-essential, pkg-config

=== debian/watch ===
version=4
opts=repack \
https://users.aalto.fi/~tjunttil/bliss/downloads/ bliss-(.*)\.zip

## bliss 1.0.0

=== DESCRIPTION ===
Package: bliss
Title: Bayesian Functional Linear Regression with Sparse Step Functions
Version: 1.0.0
Authors@R: c(
  person("Paul-Marie", "Grollemund", email = "paul.marie.grollemund@gmail.com", role = c("aut", "cre")),
  person("Isabelle", "Sanchez", email = "isabelle.sanchez@inra.fr", role = c("ctr")),
  person("Meili", "Baragatti", email = "meili.baragatti@supagro.fr", role = c("ctr")))
Author: Paul-Marie Grollemund [aut, cre],
  Isabelle Sanchez [ctr],
  Meili Baragatti [ctr]
Maintainer: Paul-Marie Grollemund <paul.marie.grollemund@gmail.com>
Description: A method for the Bayesian Functional Linear Regression model (scalar-on-function),
  including two estimators of the coefficient function and an estimator of its support.
  A representation of the posterior distribution is also available. Grollemund et. al. (2019) <doi:10.1214/18-BA1095>.
License: GPL-3
Depends: R (>= 3.3.0)
LinkingTo: Rcpp, RcppArmadillo
Encoding: UTF-8
LazyData: TRUE
Imports: Rcpp, MASS, RColorBrewer, ggplot2, rockchalk
Suggests: rmarkdown, knitr
RoxygenNote: 6.1.1
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2019-02-28 13:45:02 UTC; sanchezi
Repository: CRAN
Date/Publication: 2019-03-06 12:20:07 UTC

## bliss 1.0.1

=== DESCRIPTION ===
Package: bliss
Title: Bayesian Functional Linear Regression with Sparse Step Functions
Version: 1.0.1
Authors@R: c(
  person("Paul-Marie", "Grollemund", email = "paul.marie.grollemund@gmail.com", role = c("aut", "cre")),
  person("Isabelle", "Sanchez", email = "isabelle.sanchez@inra.fr", role = c("ctr")),
  person("Meili", "Baragatti", email = "meili.baragatti@supagro.fr", role = c("ctr")))
Author: Paul-Marie Grollemund [aut, cre],
  Isabelle Sanchez [ctr],
  Meili Baragatti [ctr]
Maintainer: Paul-Marie Grollemund <paul.marie.grollemund@gmail.com>
Description: A method for the Bayesian functional linear regression model (scalar-on-function),
  including two estimators of the coefficient function and an estimator of its support.
  A representation of the posterior distribution is also available. Grollemund P-M., Abraham C., 
  Baragatti M., Pudlo P. (2019) <doi:10.1214/18-BA1095>.
License: GPL-3
Depends: R (>= 3.3.0)
LinkingTo: Rcpp, RcppArmadillo
Encoding: UTF-8
LazyData: TRUE
Imports: Rcpp, MASS, RColorBrewer, ggplot2, rockchalk
Suggests: rmarkdown, knitr
RoxygenNote: 7.1.0
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2020-07-07 08:04:37 UTC; sanchezi
Repository: CRAN
Date/Publication: 2020-07-13 07:00:02 UTC

## bliss 1.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: bliss
 Title: Bayesian Functional Linear Regression with Sparse Step Functions
-Version: 1.0.1
+Version: 1.0.2
 Authors@R: c(
   person("Paul-Marie", "Grollemund", email = "paul.marie.grollemund@gmail.com", role = c("aut", "cre")),
   person("Isabelle", "Sanchez", email = "isabelle.sanchez@inra.fr", role = c("ctr")),
@@ -18,11 +18,11 @@
 LinkingTo: Rcpp, RcppArmadillo
 Encoding: UTF-8
 LazyData: TRUE
-Imports: Rcpp, MASS, RColorBrewer, ggplot2, rockchalk
-Suggests: rmarkdown, knitr
+Imports: Rcpp, MASS, rockchalk
+Suggests: rmarkdown, knitr, RColorBrewer
 RoxygenNote: 7.1.0
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2020-07-07 08:04:37 UTC; sanchezi
+Packaged: 2021-05-17 07:50:46 UTC; pmgrolle
 Repository: CRAN
-Date/Publication: 2020-07-13 07:00:02 UTC
+Date/Publication: 2021-05-17 09:40:08 UTC

## bliss 1.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: bliss
 Title: Bayesian Functional Linear Regression with Sparse Step Functions
-Version: 1.0.2
+Version: 1.0.3
 Authors@R: c(
   person("Paul-Marie", "Grollemund", email = "paul.marie.grollemund@gmail.com", role = c("aut", "cre")),
   person("Isabelle", "Sanchez", email = "isabelle.sanchez@inra.fr", role = c("ctr")),
@@ -18,11 +18,13 @@
 LinkingTo: Rcpp, RcppArmadillo
 Encoding: UTF-8
 LazyData: TRUE
+URL: https://github.com/pmgrollemund/bliss
+BugReports: https://github.com/pmgrollemund/bliss/issues
 Imports: Rcpp, MASS, rockchalk
 Suggests: rmarkdown, knitr, RColorBrewer
-RoxygenNote: 7.1.0
+RoxygenNote: 7.1.1
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2021-05-17 07:50:46 UTC; pmgrolle
+Packaged: 2022-01-10 12:32:31 UTC; sanchezi
 Repository: CRAN
-Date/Publication: 2021-05-17 09:40:08 UTC
+Date/Publication: 2022-01-13 14:52:43 UTC

## bliss 1.0.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: bliss
 Title: Bayesian Functional Linear Regression with Sparse Step Functions
-Version: 1.0.3
+Version: 1.0.4
 Authors@R: c(
   person("Paul-Marie", "Grollemund", email = "paul.marie.grollemund@gmail.com", role = c("aut", "cre")),
   person("Isabelle", "Sanchez", email = "isabelle.sanchez@inra.fr", role = c("ctr")),
@@ -20,11 +20,11 @@
 LazyData: TRUE
 URL: https://github.com/pmgrollemund/bliss
 BugReports: https://github.com/pmgrollemund/bliss/issues
-Imports: Rcpp, MASS, rockchalk
+Imports: Rcpp, RcppArmadillo, MASS
 Suggests: rmarkdown, knitr, RColorBrewer
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2022-01-10 12:32:31 UTC; sanchezi
+Packaged: 2022-02-15 13:05:27 UTC; sanchez
 Repository: CRAN
-Date/Publication: 2022-01-13 14:52:43 UTC
+Date/Publication: 2022-02-16 13:10:06 UTC

## bliss 1.0.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: bliss
 Title: Bayesian Functional Linear Regression with Sparse Step Functions
-Version: 1.0.4
+Version: 1.0.5
 Authors@R: c(
   person("Paul-Marie", "Grollemund", email = "paul.marie.grollemund@gmail.com", role = c("aut", "cre")),
   person("Isabelle", "Sanchez", email = "isabelle.sanchez@inra.fr", role = c("ctr")),
@@ -20,11 +20,11 @@
 LazyData: TRUE
 URL: https://github.com/pmgrollemund/bliss
 BugReports: https://github.com/pmgrollemund/bliss/issues
-Imports: Rcpp, RcppArmadillo, MASS
+Imports: Rcpp, MASS
 Suggests: rmarkdown, knitr, RColorBrewer
 RoxygenNote: 7.1.2
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2022-02-15 13:05:27 UTC; sanchez
+Packaged: 2024-04-18 07:25:21 UTC; pmgrolle
 Repository: CRAN
-Date/Publication: 2022-02-16 13:10:06 UTC
+Date/Publication: 2024-04-18 07:50:03 UTC

## bliss 1.1.0

=== DESCRIPTION ===
Package: bliss
Title: Bayesian Functional Linear Regression with Sparse Step Functions
Version: 1.1.0
Authors@R: c(
  person("Paul-Marie", "Grollemund", email = "paul_marie.grollemund@uca.fr", role = c("aut", "cre")),
  person("Isabelle", "Sanchez", email = "isabelle.sanchez@inra.fr", role = c("ctr")),
  person("Meili", "Baragatti", email = "meili.baragatti@supagro.fr", role = c("ctr")))
Author: Paul-Marie Grollemund [aut, cre],
  Isabelle Sanchez [ctr],
  Meili Baragatti [ctr]
Maintainer: Paul-Marie Grollemund <paul_marie.grollemund@uca.fr>
Description: A method for the Bayesian functional linear regression model (scalar-on-function),
  including two estimators of the coefficient function and an estimator of its support.
  A representation of the posterior distribution is also available. Grollemund P-M., Abraham C., 
  Baragatti M., Pudlo P. (2019) <doi:10.1214/18-BA1095>.
License: GPL-3
Depends: R (>= 3.5.0)
LinkingTo: Rcpp, RcppArmadillo, RcppProgress
Encoding: UTF-8
LazyData: TRUE
URL: https://github.com/pmgrollemund/bliss
BugReports: https://github.com/pmgrollemund/bliss/issues
Imports: Rcpp, MASS, ggplot2
Suggests: rmarkdown, knitr, RColorBrewer
RoxygenNote: 7.3.1
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2024-05-13 14:16:14 UTC; pmgrolle
Repository: CRAN
Date/Publication: 2024-05-14 08:23:22 UTC

## bliss 1.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: bliss
 Title: Bayesian Functional Linear Regression with Sparse Step Functions
-Version: 1.1.0
+Version: 1.1.1
 Authors@R: c(
   person("Paul-Marie", "Grollemund", email = "paul_marie.grollemund@uca.fr", role = c("aut", "cre")),
   person("Isabelle", "Sanchez", email = "isabelle.sanchez@inra.fr", role = c("ctr")),
@@ -20,11 +20,11 @@
 LazyData: TRUE
 URL: https://github.com/pmgrollemund/bliss
 BugReports: https://github.com/pmgrollemund/bliss/issues
-Imports: Rcpp, MASS, ggplot2
+Imports: Rcpp, MASS, ggplot2, RcppArmadillo
 Suggests: rmarkdown, knitr, RColorBrewer
 RoxygenNote: 7.3.1
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2024-05-13 14:16:14 UTC; pmgrolle
+Packaged: 2024-07-17 07:26:14 UTC; pmgrolle
 Repository: CRAN
-Date/Publication: 2024-05-14 08:23:22 UTC
+Date/Publication: 2024-07-17 12:00:02 UTC
